summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Pagano <mpagano@gentoo.org>2014-01-17 18:14:23 +0000
committerMike Pagano <mpagano@gentoo.org>2014-01-17 18:14:23 +0000
commit4b9e5895de2d8693f5d3641768a225d36f972c21 (patch)
tree23bbd3f9ed0d5f68fe8d09938c316d628b0b2d60 /eclass/kernel-2.eclass
parentamd64 stable - 494249,492784 (diff)
downloadhistorical-4b9e5895de2d8693f5d3641768a225d36f972c21.tar.gz
historical-4b9e5895de2d8693f5d3641768a225d36f972c21.tar.bz2
historical-4b9e5895de2d8693f5d3641768a225d36f972c21.zip
Fix kernel-2.eclass to use python.eclass for it's python needs. (deblob script). See bug #497966
Diffstat (limited to 'eclass/kernel-2.eclass')
-rw-r--r--eclass/kernel-2.eclass14
1 files changed, 9 insertions, 5 deletions
diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index 88de05ca489a..27f32a84c440 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.291 2013/11/22 13:35:09 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.292 2014/01/17 18:14:23 mpagano Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@@ -461,7 +461,7 @@ if [[ ${ETYPE} == sources ]]; then
kernel_is le 2 6 ${DEBLOB_MAX_VERSION} && \
K_DEBLOB_AVAILABLE=1
if [[ ${K_DEBLOB_AVAILABLE} == "1" ]] ; then
- IUSE="${IUSE} deblob"
+ IUSE="${IUSE} deblob python"
# Reflect that kernels contain firmware blobs unless otherwise
# stripped
LICENSE="${LICENSE} !deblob? ( freedist )"
@@ -488,7 +488,11 @@ if [[ ${ETYPE} == sources ]]; then
DEBLOB_URI="${DEBLOB_HOMEPAGE}/${DEBLOB_URI_PATH}/${DEBLOB_A}"
HOMEPAGE="${HOMEPAGE} ${DEBLOB_HOMEPAGE}"
- DEPEND+=" deblob? ( =dev-lang/python-2* )"
+ #deblob script currently only works with python-2
+ PYTHON_DEPEND="python? 2"
+ PYTHON_USE_WITH_OPT="python"
+ inherit python
+
KERNEL_URI="${KERNEL_URI}
deblob? (
${DEBLOB_URI}
@@ -1225,7 +1229,7 @@ kernel-2_src_compile() {
if [[ $K_DEBLOB_AVAILABLE == 1 ]] && use deblob ; then
echo ">>> Running deblob script ..."
- EPYTHON="python2" sh "${T}/${DEBLOB_A}" --force || die "Deblob script failed to run!!!"
+ sh "${T}/${DEBLOB_A}" --force || die "Deblob script failed to run!!!"
fi
}